Bug 415961 - Not all account types are available in this release
Not all account types are available in this release
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libofx (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 14:21 EST by henri
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.3-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description henri 2007-12-07 14:21:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060130 MultiZilla/1.8.1.1c SeaMonkey/1.0 Mnenhy/0.7.3.0

Description of problem:
libofx 0.8.3 does not support all account types. Some banks do not implement the full OFX standard, so it doesn't show up for all users.

there is a patch for libofx that solves this problem:

http://sourceforge.net/mailarchive/forum.php?thread_name=1166417564.7264.12.camel%40tunnel.physique.usherbrooke.ca&forum_name=libofx-devel

after libofx is patched the current aqbanking needs to be re-compiled (they have support for the new account types in their code)



Version-Release number of selected component (if applicable):
libofx-0.8.3-4

How reproducible:
Always


Steps to Reproduce:
1.connect a bank that uses Account Types other than "Savings"
2.try to request any information about a non-"Savings" account
3.bank returns a "wrong account type" error

Actual Results:
was not able to download account data

Expected Results:
should have downloaded transactions 

Additional info:
I see this while using gnucash, which depends upon aqbanking to do online-banking. 

this is a "severe" problem in that the online funcationality just doesn't work for my bank
Comment 1 henri 2007-12-07 14:23:30 EST
libofx-0.8.4 was supposed to contain this patch, but was never released.

libofx-0.9 fixes the issue (but doesn't seem to be released as an rpm)
Comment 2 Bill Nottingham 2007-12-07 15:52:17 EST
Hm, will probably pick it up with 0.9.0.
Comment 3 Bill Nottingham 2008-02-14 13:46:01 EST
Argh. 0.9.0 reworks how it's done, changes both the API and ABI, and doesn't
actually work with any software we ship.

OK, will patch it into 0.8.3-5.
Comment 4 henri 2008-09-10 01:44:35 EDT
This patch is incorrect:

http://cvs.fedoraproject.org/viewvc/rpms/libofx/F-9/libofx-account-type.patch?revision=1.1&view=markup

it leaves the first bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );, when it should have removed it:

   bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );
-  // FIXME "CHECKING" should not be hard-coded
+  if ( m_account.type == OFX_CHECKING_ACCOUNT || m_account.type == OFX_BANK_ACCOUNT )
+    bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );



with the patch as-is it outputs 2  <ACCTTYPE> lines, the first of which is always CHECKING (which my bank doesn't accept as a valid ofx request). 

the fix is to remove the line above // FIXME.
Comment 5 Bill Nottingham 2008-09-10 13:56:26 EDT
Building as -7.
Comment 6 Fedora Update System 2008-09-10 14:12:59 EDT
libofx-0.8.3-7 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libofx-0.8.3-7
Comment 7 Fedora Update System 2008-09-11 13:07:39 EDT
libofx-0.8.3-7 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libofx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7913
Comment 8 Fedora Update System 2008-09-24 20:06:03 EDT
libofx-0.8.3-7 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.